@import '../ColorSystem/style.module.scss';

.button {
    height: 36px;
    text-transform: uppercase;
    border-radius: 4px;
    min-width: 64px;
    padding: 0px;
    cursor: pointer;
}

.containedVariant {
    background-color: $primaryColor;
    color: $onPrimaryColor;
    border-style: none;
}

.outlinedVariant {
    background-color: $backgroundColor;
    color: $primaryColor;
    border-style: solid;
    border-width: thin;
    border-color: $primaryColor;
}

.textVariant {
    background-color: $backgroundColor;
    color: $primaryColor;
    border-style: none;    
}

.container {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 8px;

    .beginAdornment {
        height: 18px;
        width: 18px;
        margin-left: 4px;
    }
    
    .label {
        margin-left: 8px;
        margin-right: 16px;
    }
}


